<?php
if ( ! class_exists( 'IPSitno_Admin_Coupon' )) {

    /**
     * Class for handling administrator page
     */
    class IPSitno_Admin_Coupon extends IPSitno_Admin
    {
        /**
         * Show content admin home
         *
         * @return void
         */
        public function coupons()
        {
            if ( isset( $_GET['action'] ) && $_GET['action'] == 'add' ) {
                $this->_manage();
            } elseif ( isset( $_GET['action'] ) && $_GET['action'] == 'edit' ) {
                $this->_coupon_edit();
            } else {
                $this->_coupon_list();
            }
        }
        
        /**
         * Show content admin home
         *
         * @return void
         */
        protected function _coupon_list()
        {
        ?>
            <div id="ipsitno-coupons" class="wrap ipbe-wrap ipsitno-admin">
                <div class="ipbe-inner">
                    
                    <?php 
                    $this->_header( 'ipsitno-coupons' ); 
                    ?>
                    
                    <div class="ipbe-main">
                        <div class="ipbe-main-info"></div>
                        
                        <div class="ipbe-primary">
                            <div class="ipsitno-coupons-wrap">
                                <div class="ipsitno-coupon-add">
                                    <a href="?page=ipsitno-coupons&action=add" class="ipbe-btn ipbe-btn-success"><?php _e( 'Create Coupon', 'wp-share-it-now' ); ?></a>
                                </div>
                                <?php
                                $list = new IPSitno_List_Coupon();
                                $list->render();
                                ?>
                            </div>
                        </div>
                    </div>
                    
                </div>
                
            </div>
            
        <?php
        }
        
        /**
         * Show content admin edit coupon
         *
         * @return void
         */
        protected function _coupon_edit()
        {
            if ( empty( $_GET['id'] )) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_share_it_now') );
            }
            $id = absint( $_GET['id'] );
            if ( ! $coupon = get_post( $id ) ) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_share_it_now') );
            }
            $this->_manage( $coupon );
        }
        
        /**
         * Show content admin home
         *
         * @return void
         */
        protected function _manage( $coupon = false )
        {
            wp_enqueue_media();
            $couponId = 0;
            if ( $coupon ) {
                $couponId = $coupon->ID;
            }
            $setting     = new IPSitno_Setting( $couponId, '__ipsitno-coupon-setting' );
            $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipsitno=1&action=ipsitno_coupon_update';
            
            if ( $coupon ) 
            {
                $pageTitle = __( 'Edit Coupon', 'wp_share_it_now' );
                $submit    = __( 'Save Change', 'wp_share_it_now' );
                $submitId  = 'ipsitno-edit-coupon';
                $formId    = 'ipsitno-form-coupon-update';
                $submit_icon = 'floppy-o';
                
            } else 
            {
                $pageTitle = __( 'Add Coupon', 'wp_share_it_now' );
                $submit    = __( 'Add Coupon', 'wp_share_it_now' );
                $submitId  = 'ipsitno-add-coupon';
                $formId    = 'ipsitno-form-coupon-add';
                $submit_icon = 'plus-circle';
            }
        ?>
            <div id="ipsitno-coupon-add" class="wrap ipbe-wrap ipsitno-admin">
                <div class="ipbe-inner">
                    
                    <?php
                    if ( $coupon ) 
                    {
                        $title = $coupon->post_title;
                        $info  = '<i class="ibe ibe-calendar"></i> Created: <strong>' . mysql2date( 'd F Y, h:i', $coupon->post_date ) . '</strong>';
                        $icon  = 'pencil';
                        $this->_header( 'ipsitno-coupons', $title, $info, $icon );
                    } else {
                        $title = __( 'Create Coupon', 'wp_share_it_now' );
                        $info  = 'Create new coupon';
                        $icon  = 'plus-circle';
                        $this->_header( 'ipsitno-coupons', $title, $info, $icon );
                    }
                    ?>
                    
                    <div class="ipbe-main">
                        <div class="ipbe-main-info"></div>
                        
                        <div class="ipbe-primary">
                            <div class="ipsitno-coupons-wrap">

<form id="<?php echo $formId; ?>" class="ipbe-form ip-form-cont" action="<?php echo $form_action; ?>" method="post">
    <input type="hidden" id="ipsitno-val-couponid" name="couponid" value="<?php echo $couponId; ?>" />
    <div class="container-fluid container">
        <div class="row">
        
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-title"><?php _e( 'Title', 'wp_share_it_now' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <?php
                    $title = '';
                    if ( $coupon ) {
                        $title = $coupon->post_title;
                    }
                    ?>
                    <input type="text" id="input-lifetime" class="ipbe-input ipbe-input-full" name="title" value="<?php echo $title ?>">
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set title of coupon.', 'wp_share_it_now' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-description"><?php _e( 'Description', 'wp_share_it_now' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                    <?php
                    $desc = '';
                    if ( $coupon ) {
                        $desc = $coupon->post_content;
                    }
                    ?>
                    <textarea id="input-description" class="ipbe-input ipbe-input-full" name="description"><?php echo $desc ?></textarea>
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set description of coupon.', 'wp_share_it_now' ); ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                    <label for="input-pre-image"><?php _e( 'Image', 'wp_share_it_now' ); ?></label>
                </div>
                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                    <div class="ipbe-upload-image ipbe-clear">
                        <div class="ipbe-upload-preview">
                            <?php
                            $setimg = false;
                            if ( $setting ) {
                                if ( $attach_id = $setting->getSetting( 'coupon_image' ) ) {
                                    $setimg = true;
                                    $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                                }
                            }
                            if ( $setimg ) {
                                echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                                echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_share_it_now' ) . '</div>';
                                $reset_dsp = '';
                            } else {
                                echo '<div class="image"></div>';
                                echo '<div class="none">' . __( 'No image', 'wp_share_it_now' ) . '</div>';
                                $reset_dsp = ' style="display:none;"';
                            }
                            ?>
                        </div>
                        
                        <div class="ipbe-image-field">
                            <div class="ipbe-select-image">
                                <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_share_it_now' ); ?></p>
                                <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" name="select_image" data-choose="<?php esc_attr_e( 'Choose Pre Share Content Image' ); ?>"
                                  data-update="<?php esc_attr_e( 'Choose image' ); ?>">
                                    <i class="ibe ibe-image"></i>
                                    <?php _e( 'Select Image', 'wp_share_it_now' ); ?>
                                </a>
                                <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                                    <i class="ibe ibe-ban"></i>
                                    <?php _e( 'Clear Image', 'wp_share_it_now' ); ?>
                                </a>
                            </div>
                            <input type="hidden" name="upload_type" class="ipbe-upload-type" value="coupon_image" />
                            <input type="hidden" name="coupon_image" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                        </div>
                    </div>
                    
                    <div class="ipbe-help">
                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                        <div class="ipbe-help-content ipbe-hide">
                            <?php _e( 'Set the coupon image.', 'wp_share_it_now' ); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="ipbe-form-footer">
        <div class="container-fluid container">
            <div class="col-xs-6">
                <button type="submit" id="<?php echo $submitId; ?>" class="ipbe-btn ipbe-btn-primary ipbe-btn-lg ip-form-submit">
                    <i class="ibe ibe-<?php echo $submit_icon; ?>"></i>
                    <?php echo $submit; ?>
                </button>
            </div>
            <div class="col-xs-6 text-right">
                <?php
                if ( $coupon ) :
                ?>
                <a href="#" class="ipbe-btn ipbe-btn-danger ipbe-btn-lg ipsitno-coupon-delete" data-id="<?php echo $couponId; ?>">
                    <i class="ibe ibe-trash-o"></i>
                    <?php _e( 'Delete Coupon', 'wp_share_it_now' ); ?>
                </a>
                <?php
                endif;
                ?>
            </div>
        </div>
    </div>
</form>
            </div>
                        </div>
                    </div>
                    
                </div>
                
            </div>
            
        <?php
        }
    }
}