<?php
if ( ! class_exists( 'IPSitno_Admin' )) {

    /**
     * Class for handling administrator page
     */
    class IPSitno_Admin
    {
        /**
         * Show content admin home
         *
         * @return void
         */
        public function index()
        {
        ?>
            <div id="ipsitno-dashboard" class="wrap ipbe-wrap ipsitno-admin">
                <div class="ipbe-inner">
                    
                    <?php $this->_header( 'ipsitno' ); ?>
                    
                    <div class="ipbe-main">
                        <div class="ipbe-main-info">
                            <?php
                            if ( isset( $_GET['create'] )) :
                            ?>
                            <div class="ipbe-alert ipbe-alert-success" style="display: block;">
                                <?php _e( 'Successfully add a contest.', 'wp_share_it_now' ); ?>
                            </div>
                            <?php
                            elseif ( isset( $_GET['delete'] )) :
                            ?>
                            <div class="ipbe-alert ipbe-alert-success" style="display: block;">
                                <?php _e( 'Successfully deleting a contest.', 'wp_share_it_now' ); ?>
                            </div>
                            <?php
                            endif;
                            ?>
                        </div>
                        
                        <div class="ipbe-primary">
                            <?php
                            $list = new IPSitno_List();
                            $list->render();
                            ?>
                        </div>
                    </div>
                    
                </div>
                
            </div>
        <?php
        }
        
        /**
         * Show content admin add style
         *
         * @return void
         */
        public function add()
        {
            $this->manage();
        }
        
        /**
         * Show content admin edit style
         *
         * @return void
         */
        public function edit()
        {
            if ( empty( $_GET['id'] )) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_share_it_now') );
            }
            $id = absint( $_GET['id'] );
            if ( ! $style = get_post( $id ) ) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'wp_share_it_now') );
            }
            $this->manage( $style );
        }
        
        /**
         * Show content admin manage style
         *
         * @return void
         */
        public function manage( $share = false )
        {
            wp_enqueue_media();
            wp_enqueue_script('wp-color-picker');
            wp_enqueue_style('wp-color-picker');
            
            $shareId = 0;
            if ( $share ) {
                $shareId = $share->ID;
            }
            $setting     = new IPSitno_Setting( $shareId, '__ipsitno-setting' );
            $form_action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipsitno=1&action=ipsitno_update';
            
            if ( $share ) 
            {
                $pageTitle = __( 'Edit Object', 'wp_share_it_now' );
                $submit    = __( 'Save Change', 'wp_share_it_now' );
                $submitId  = 'ipsitno-edit-share';
                $formId    = 'ipsitno-form-update';
                $submit_icon = 'floppy-o';
                
            } else 
            {
                $pageTitle = __( 'Add Object', 'wp_share_it_now' );
                $submit    = __( 'Add Object', 'wp_share_it_now' );
                $submitId  = 'ipsitno-add-share';
                $formId    = 'ipsitno-form-add';
                $submit_icon = 'plus-circle';
            }
        ?>
            <div id="ipsitno-manage" class="wrap ipbe-wrap ipsitno-admin">
                <div class="ipbe-inner">
                    
                    <?php 
                    if ( $share ) 
                    {
                        $title = $share->post_title;
                        $info  = '<i class="ibe ibe-calendar"></i> Created: <strong>' . mysql2date( 'd F Y, h:i', $share->post_date ) . '</strong>';
                        $icon  = 'pencil';
                        $this->_header( 'ipsitno', $title, $info, $icon );
                    } else {
                        $this->_header( 'ipsitno-add' );
                    }
                    ?>
                    <div class="ipbe-main">
                        <div class="ipbe-main-info"></div>
                        
                        <div class="ipbe-primary">
                            <div class="ipbe-update-wrap">

<form id="<?php echo $formId; ?>" class="ipbe-form ip-form-cont" action="<?php echo $form_action; ?>" method="post">
    <input type="hidden" id="ipsitno-val-shareid" name="shareid" value="<?php echo $shareId; ?>" />
    <div class="container-fluid container">
        <div class="row">
            <div class="col-md-6">
        
                <div class="ipbe-panel">
                    <div class="ipbe-panel-header">
                        <h3><i class="ibe ibe-cog"></i> <?Php _e( 'General Settings', 'wp_share_it_now' ); ?></h3>
                    </div>
                    <div class="ipbe-panel-body">
                        
                        <div class="ipbe-fields">
                            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                <div class="ipbe-form-label">
                                    <label for="input-name"><?php _e( 'Name', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field">
                                    <?php
                                    $name = '';
                                    if ( $share ) {
                                        $name = $share->post_title;
                                    }
                                    ?>
                                    <input type="text" id="input-name" class="ipbe-input ipbe-input-full" name="name" value="<?php echo $name; ?> ">
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'The name of the shared object. This data will not be used directly in shaping the shared object, only to mark the shared object, so it easier for you to manage it.', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-status"><?php _e( 'Status', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                    <div class="ipbe-btn-onoff">
                                        <?php
                                        $val = $setting->getSetting( 'status', 'true' );
                                        if ( $val == 'false' ) {
                                            $clon  = '';
                                            $cloff = ' ipbe-btn-danger active';
                                        } else {
                                            $clon  = ' ipbe-btn-success active';
                                            $cloff = '';
                                        }
                                        ?>
                                        <div class="ipbe-btn-group">
                                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_share_it_now' ); ?></button>
                                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_share_it_now' ); ?></button>
                                        </div>
                                        <input type="hidden" class="ipbe-onoff-value" name="status" value="<?php echo $val; ?>" />
                                    </div>
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set whether the shared object will be displayed or not. If set to Off, then all share objects that are connected will be hidden.', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-lifetime"><?php _e( 'Time Duration', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                                    <div class="ipbe-input-group">
                                        <input type="text" id="input-lifetime" class="ipbe-input ipbe-input-md ipsitno-date-range" name="lifetime" value="<?php echo $setting->getSetting( 'lifetime' ); ?>">
                                        <div class="ipbe-input-addon"><i class="ibe ibe-calendar"></i></div>
                                    </div>
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the time duration of the share object. If the current time is not within the time duration then the shared object will be hidden.', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-position"><?php _e( 'Position', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                                    <select id="input-position" class="ipbe-input ipbe-input-preview" name="position">
                                        <option value="0">- <?php _e( 'Select Position', 'wp_share_it_now' );  ?> -</option>
                                        <?php
                                        $position = stripslashes( $setting->getSetting( 'position', 'right' ) );
                                        $options  = array(
                                            'right'     => __( 'Right', 'wp_share_it_now' ), 
                                            'left'     => __( 'Left', 'wp_share_it_now' ) 
                                        );
                                        foreach( $options as $key => $option ) {
                                            $sltd = '';
                                            if ( $key == $position ) {
                                                $sltd = ' selected="selected"';
                                            }
                                            echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                                        }
                                        ?>
                                    </select>
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the position of share object in the web page.', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                        
                    </div>
                </div>
                <div class="ipbe-panel">
                    <div class="ipbe-panel-header">
                        <h3><i class="ibe ibe-paint-brush"></i> <?Php _e( 'Design Settings', 'wp_share_it_now' ); ?></h3>
                    </div>
                    <div class="ipbe-panel-body">
                    
                        <div class="ipbe-fields">
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-bg-color"><?php _e( 'Background Color', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                    <input type="text" class="ipsitno-color-picker" id="input-bg-color" name="bg_color" value="<?php echo $setting->getSetting( 'bg_color', '#ffffff' ); ?>" />
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the background color of the share object', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-border-width"><?php _e( 'Border', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                    <div class="ipbe-input-group mr5">
                                        <?php
                                        $bowidth = $setting->getSetting( 'border_width', '2px' );
                                        $bocolor = $setting->getSetting( 'border_color', '#cccccc' );
                                        ?>
                                        <input type="text" id="input-border-width" class="ipbe-input ipbe-input-xs" name="border_width" value="<?php echo $bowidth; ?>">
                                        <div class="ipbe-input-addon">px</div>
                                    </div>
                                    <input type="text" class="ipsitno-color-picker" id="input-border-color" name="border_color" value="<?php echo $bocolor; ?>" />
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the border that surrounds the share object', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-title-color"><?php _e( 'Title Color', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                    <input type="text" class="ipsitno-color-picker" id="input-title-color" name="title_color" value="<?php echo $setting->getSetting( 'title_color', '#222222' ); ?>" />
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the title color of the share object', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-text-color"><?php _e( 'Text Color', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                    <input type="text" class="ipsitno-color-picker" id="input-text-color" name="text_color" value="<?php echo $setting->getSetting( 'text_color', '#444444' ); ?>" />
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the text color of the share object', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-tab-bg-color"><?php _e( 'Tab Background Color', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                    <input type="text" class="ipsitno-color-picker" id="input-tab-bg-color" name="tab_bg_color" value="<?php echo $setting->getSetting( 'tab_bg_color', '#cccccc' ); ?>" />
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the background color of the tab menu', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-tab-color"><?php _e( 'Tab Color', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                    <input type="text" class="ipsitno-color-picker" id="input-tab-color" name="tab_color" value="<?php echo $setting->getSetting( 'tab_color', '#333333' ); ?>" />
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the text color of the tab menu', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                <div class="ipbe-form-label">
                                    <label for="input-button-tab-icon"><?php _e( 'Tab Icon', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field">
                                    <?php
                                    $icon = $setting->getSetting( 'button_tab_icon', '' );
                                    IPSitno_Faicon::get_html_option( 'button_tab_icon', $icon );
                                    ?>
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the icon to be added to the tab menu', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-footer-bg-color"><?php _e( 'Footer Background Color', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                    <input type="text" class="ipsitno-color-picker" id="input-footer-bg-color" name="footer_bg_color" value="<?php echo $setting->getSetting( 'footer_bg_color', '#e1e1e1' ); ?>" />
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the background color of the footer section', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-footer-color"><?php _e( 'Footer Color', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                    <input type="text" class="ipsitno-color-picker" id="input-footer-color" name="footer_color" value="<?php echo $setting->getSetting( 'footer_color', '#888888' ); ?>" />
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the text color of the footer section', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-font-size"><?php _e( 'Font Size', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                        <select name="font_size" class="ipbe-input-preview" id="input-font-size">
                                            <option value="0">-- <?php _e( 'Size', 'wp_share_it_now' ); ?> --</option>
                                            <?php
                                            $current = $setting->getSetting( 'font_size', 'md' );
                                            $sizes   = array(
                                                'sm' => __( 'Small', 'wp_share_it_now' ),
                                                'md' => __( 'Medium', 'wp_share_it_now' ),
                                                'lg' => __( 'Large', 'wp_share_it_now' )
                                            );
                                            foreach( $sizes as $key => $label )
                                            {
                                                $sltd = '';
                                                if ( $current == $key ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the font size of the share object', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-font-family"><?php _e( 'Font Family', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                        <?php
                                        $current = $setting->getSetting( 'font_family', 'roboto' );
                                        $fonts   = IPSitno_Font::getOptions();
                                        $fname   = IPSitno_Font::getFontName( $current );
                                        ?>
                                        <span class="ipbe-font-family">
                                            <div class="ipbe-menu ipbe-fancy-option">
                                                <div class="ipbe-selected">
                                                    <div class="ipbe-selected-box">
                                                        <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                                                    </div>
                                                    <span class="toggle"></span>
                                                </div>
                                                <div class="ipbe-select" style="display: none;">
                                                    <div class="ipbe-select-content">
                                                        <ul class="clearfix">
                                                            <?php 
                                                            foreach( $fonts as $key => $label ) :
                                                            ?>
                                                                <li data-select="<?php echo $key; ?>">
                                                                    <strong class="ipbe-select-label">
                                                                        <?php echo $label; ?>
                                                                    </strong>
                                                                </li>
                                                            <?php
                                                            endforeach;
                                                            ?>
                                                        </ul>
                                                    </div>
                                                </div>
                                                <input type="hidden" name="font_family" class="ipbe-input-select ipbe-input-preview" value="<?php echo $current; ?>" />
                                            </div>
                                        </span>
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the font type of the share object', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-background-overlay"><?php _e( 'Background Overlay', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                                    <div class="ipbe-btn-onoff">
                                        <?php
                                        $val = $setting->getSetting( 'background_overlay', 'true' );
                                        if ( $val == 'false' ) {
                                            $clon  = '';
                                            $cloff = ' ipbe-btn-danger active';
                                        } else {
                                            $clon  = ' ipbe-btn-success active';
                                            $cloff = '';
                                        }
                                        ?>
                                        <div class="ipbe-btn-group">
                                            <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_share_it_now' ); ?></button>
                                            <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_share_it_now' ); ?></button>
                                        </div>
                                        <input type="hidden" class="ipbe-onoff-value" name="background_overlay" value="<?php echo $val; ?>" />
                                    </div>
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set whether to use a background overlay when the main content of the shared object is displayed', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ipbe-panel">
                    <div class="ipbe-panel-header">
                        <h3><i class="ibe ibe-share-alt"></i> <?Php _e( 'Share Settings', 'wp_share_it_now' ); ?></h3>
                    </div>
                    <div class="ipbe-panel-body">
                        <div class="ipbe-fields ipbe-social-option">
                            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                <div class="ipbe-form-label">
                                    <label for="input-share-on"><?php _e( 'Share On', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field">
                                    <p><?php _e( 'Select one or more share button that you want to display.', 'wp_share_it_now' ); ?></p>
                                    
                                    <div class="ipbe-social-active">
                                        <ul>
                                            <?php
                                            $social = array(
                                                'facebook'      => 'Facebook',
                                                'twitter'       => 'Twitter',
                                                'google-plus'   => 'Google+'
                                            );
                                            foreach( $social as $key => $label ) {
                                                $value = $setting->getSetting( 'share_'.$key, 'on' );
                                                $class = 'inactive';
                                                if ( $value == 'on' ) {
                                                    $class = "active";
                                                }
                                                if ( $key == 'email' ) {
                                                    $icon = 'envelope';
                                                } else {
                                                    $icon = $key;
                                                }
                                            ?>
                                                <li>
                                                    <a class="<?php echo $class; ?>" href="#<?php echo $key; ?>">
                                                        <i class="ibe ibe-<?php echo $icon; ?>"></i>
                                                        <span><?php echo $label; ?></span>
                                                        <input type="hidden" name="share_<?php echo $key; ?>" value="<?php echo $value; ?>" />
                                                    </a>
                                                </li>
                                            <?php
                                            }
                                            ?>
                                        </ul>
                                    </div>
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the share button that will appear in the shared object', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                <div class="ipbe-form-label">
                                    <label for="input-share-button-style"><?php _e( 'Share Button Style', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field mt10">
                                    <div id="ipsitno-share-button-preview">
                                        <?php
                                        $value   = $setting->getSetting( 'share_button_style', 1 );
                                        $options = range( 1, 5 );
                                        $root    = IPSITNO_BASE_URL . '/img/button/preview/button-';
                                        foreach( $options as $opt ) :
                                            $checked = '';
                                            if ( $opt == $value ) {
                                                $checked = ' checked="checked"';
                                            }
                                        ?>
                                        <div class="ipsitno-btn-style">
                                            <label>
                                                <input type="radio" class="ipbe-input-preview" name="share_button_style" value="<?php echo $opt; ?>"<?php echo $checked; ?> />
                                                <img src="<?php echo $root . $opt . '.png'; ?>" alt="Button <?php echo $opt; ?>" />
                                            </label>
                                        </div>
                                        <?php
                                        endforeach;
                                        ?>
                                    </div>
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set style share button that will appear in the shared object', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                    </div>
                </div>
        
            </div>
            <div class="col-md-6">
            
                <div class="ipbe-panel">
                    <div class="ipbe-panel-header">
                        <h3><i class="ibe ibe-eye"></i> <?Php _e( 'Preview', 'wp_share_it_now' ); ?></h3>
                    </div>
                    <div class="ipbe-panel-body">
                        <div id="ipsitno-edit-preview ipbe-hide"></div>
                        <div class="ipbe-panel-preview">
                            <?php
                            if ( $share ) :
                                $factory = new IPSitno_Factory( $setting );
                                $factory->render();
                            else :
                            ?>
                            <div class="ipbe-panel-preview-none">
                                <?php _e( 'Preview', 'wp_share_it_now'); ?>
                            </div>
                            <?php
                            endif;
                            ?>
                        </div>
                    </div>
                </div>
                
                <div class="ipbe-panel">
                    <div class="ipbe-panel-header">
                        <h3><i class="ibe ibe-file-text-o"></i> <?Php _e( 'Pre Share Content', 'wp_share_it_now' ); ?></h3>
                    </div>
                    <div class="ipbe-panel-body">
                    
                        <div class="ipbe-fields">
                            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                <div class="ipbe-form-label">
                                    <label for="input-pre-title"><?php _e( 'Title', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field">
                                    <?php
                                    $title = stripslashes( $setting->getSetting( 'pre_title', '' ));
                                    ?>
                                    <input type="text" id="input-pre-title" class="ipbe-input ipbe-input-full ipbe-input-preview" name="pre_title" value="<?php echo $title; ?>">
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the pre share title.', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                <div class="ipbe-form-label">
                                    <label for="input-pre-info"><?php _e( 'Info', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field">
                                    <?php
                                    $info = stripslashes( $setting->getSetting( 'pre_info', '' ));
                                    ?>
                                    <input type="text" id="input-pre-info" class="ipbe-input ipbe-input-full ipbe-input-preview" name="pre_info" value="<?php echo $info; ?>">
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the pre share info.', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                <div class="ipbe-form-label">
                                    <label for="input-pre-image"><?php _e( 'Image', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field">

                                    <div class="ipbe-upload-image ipbe-clear">
                                        <div class="ipbe-upload-preview">
                                            <?php
                                            $setimg = false;
                                            if ( $setting ) {
                                                if ( $attach_id = $setting->getSetting( 'pre_image' ) ) {
                                                    $setimg = true;
                                                    $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                                                }
                                            }
                                            if ( $setimg ) {
                                                echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                                                echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_share_it_now' ) . '</div>';
                                                $reset_dsp = '';
                                            } else {
                                                echo '<div class="image"></div>';
                                                echo '<div class="none">' . __( 'No image', 'wp_share_it_now' ) . '</div>';
                                                $reset_dsp = ' style="display:none;"';
                                            }
                                            ?>
                                        </div>
                                        
                                        <div class="ipbe-image-field">
                                            <div class="ipbe-select-image">
                                                <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_share_it_now' ); ?></p>
                                                <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" name="select_image" data-choose="<?php esc_attr_e( 'Choose Pre Share Content Image' ); ?>"
                                                  data-update="<?php esc_attr_e( 'Choose image' ); ?>">
                                                    <i class="ibe ibe-image"></i>
                                                    <?php _e( 'Select Image', 'wp_share_it_now' ); ?>
                                                </a>
                                                <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                                                    <i class="ibe ibe-ban"></i>
                                                    <?php _e( 'Clear Image', 'wp_share_it_now' ); ?>
                                                </a>
                                            </div>
                                            <input type="hidden" name="upload_type" class="ipbe-upload-type" value="pre_image" />
                                            <input type="hidden" name="pre_image" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                                        </div>
                                    </div>
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the pre share image.', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                <div class="ipbe-form-label">
                                    <label for="input-button-share-info"><?php _e( 'Share Title', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field">
                                    <?php
                                    $info = stripslashes( $setting->getSetting( 'button_share_info', '' ));
                                    ?>
                                    <input type="text" id="input-button-share-info" class="ipbe-input ipbe-input-full ipbe-input-preview" name="button_share_info" value="<?php echo $info; ?>">
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the title of the share section', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                <div class="ipbe-form-label">
                                    <label for="input-button-tab-label"><?php _e( 'Button Tab Label', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field">
                                    <?php
                                    $label = stripslashes( $setting->getSetting( 'button_tab_label', '' ));
                                    ?>
                                    <input type="text" id="input-button-tab-label" class="ipbe-input ipbe-input-full ipbe-input-preview" name="button_tab_label" value="<?php echo $label; ?>">
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the button tab label for the share object', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                <div class="ipbe-form-label">
                                    <label for="input-footer-info"><?php _e( 'Footer Info', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field">
                                    <?php
                                    $info = stripslashes( $setting->getSetting( 'footer_info', '' ));
                                    ?>
                                    <input type="text" id="input-footer-info" class="ipbe-input ipbe-input-full ipbe-input-preview" name="footer_info" value="<?php echo $info; ?>">
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the footer info for the share object', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    
                    </div>
                </div>
                
                <div class="ipbe-panel">
                    <div class="ipbe-panel-header">
                        <h3><i class="ibe ibe-file-text-o"></i> <?php _e( 'Post Share Content', 'wp_share_it_now' ); ?></h3>
                    </div>
                    <div class="ipbe-panel-body">
                        <div class="ipbe-fields">
                            <div class="ipbe-field-row ipbe-field-x">
                                <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                    <label for="input-post-type"><?php _e( 'Type', 'wp_share_it_now' ); ?></label>
                                </div>
                                <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                                    <select id="input-post-type" class="ipbe-input ipbe-input-preview" name="post_type">
                                        <?php
                                        $type    = stripslashes( $setting->getSetting( 'post_type', 'coupon' ) );
                                        $options = array(
                                            'coupon'   => __( 'Coupon', 'wp_share_it_now' ), 
                                            'ebook'    => __( 'E-Book', 'wp_share_it_now' ) 
                                        );
                                        foreach( $options as $key => $option ) {
                                            $sltd = '';
                                            if ( $key == $type ) {
                                                $sltd = ' selected="selected"';
                                            }
                                            echo '<option value="' . $key . '"' . $sltd . '>' . $option . '</option>';
                                        }
                                        ?>
                                    </select>
                                    
                                    <div class="ipbe-help">
                                        <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                        <div class="ipbe-help-content ipbe-hide">
                                            <?php _e( 'Set the type of post share content.', 'wp_share_it_now' ); ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <?php
                            $dsp_coupon =
                            $dsp_ebook  = ' style="display:none;"';
                            if ( $type == 'coupon' ) {
                                $dsp_coupon = '';
                            } elseif ( $type == 'ebook' ) {
                                $dsp_ebook = '';
                            }
                            ?>
                            <div class="ipsitno-post-coupon"<?php echo $dsp_coupon; ?>>
                                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                    <div class="ipbe-form-label">
                                        <label for="input-success-text"><?php _e( 'Success Title', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">
                                        <?php
                                        $text = stripslashes( $setting->getSetting( 'success_text', '' ));
                                        ?>
                                        <input type="text" id="input-success-text" class="ipbe-input ipbe-input-full ipbe-input-preview" name="success_text" value="<?php echo $text; ?>">
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the title for the content that displaying after user share the page', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                    <div class="ipbe-form-label">
                                        <label for="input-success-info"><?php _e( 'Success Info', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">
                                        <?php
                                        $info = stripslashes( $setting->getSetting( 'success_info', '' ));
                                        ?>
                                        <input type="text" id="input-success-info" class="ipbe-input ipbe-input-full ipbe-input-preview" name="success_info" value="<?php echo $info; ?>">
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the info for the content that displaying after user share the page', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                    <div class="ipbe-form-label">
                                        <label for="input-success-url"><?php _e( 'Success URL', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">
                                        <?php
                                        $url = $setting->getSetting( 'success_url', '' );
                                        ?>
                                        <input type="text" id="input-success-url" class="ipbe-input ipbe-input-full ipbe-input-preview" name="success_url" value="<?php echo $url; ?>">
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the url of the page that will be addressed when the user clicks on the image', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                    <div class="ipbe-form-label">
                                        <label for="input-post-image"><?php _e( 'Image', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">

                                        <div class="ipbe-upload-image ipbe-clear">
                                            <div class="ipbe-upload-preview">
                                                <?php
                                                $setimg = false;
                                                if ( $setting ) {
                                                    if ( $attach_id = $setting->getSetting( 'post_image' ) ) {
                                                        $setimg = true;
                                                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                                                    }
                                                }
                                                if ( $setimg ) {
                                                    echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                                                    echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_share_it_now' ) . '</div>';
                                                    $reset_dsp = '';
                                                } else {
                                                    echo '<div class="image"></div>';
                                                    echo '<div class="none">' . __( 'No image', 'wp_share_it_now' ) . '</div>';
                                                    $reset_dsp = ' style="display:none;"';
                                                }
                                                ?>
                                            </div>
                                            
                                            <div class="ipbe-image-field">
                                                <div class="ipbe-select-image">
                                                    <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_share_it_now' ); ?></p>
                                                    <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" name="select_image" data-choose="<?php esc_attr_e( 'Choose Post Share Content Image' ); ?>"
                                                      data-update="<?php esc_attr_e( 'Choose image' ); ?>">
                                                        <i class="ibe ibe-image"></i>
                                                        <?php _e( 'Select Image', 'wp_share_it_now' ); ?>
                                                    </a>
                                                    <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                                                        <i class="ibe ibe-ban"></i>
                                                        <?php _e( 'Clear Image', 'wp_share_it_now' ); ?>
                                                    </a>
                                                </div>
                                                <input type="hidden" name="upload_type" class="ipbe-upload-type" value="post_image" />
                                                <input type="hidden" name="post_image" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                                            </div>
                                        </div>
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the image for the content that displaying after user share the page', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            
                            </div>
                            
                            <div class="ipsitno-post-ebook"<?php echo $dsp_ebook; ?>>
                                <h3 class="ipbe-field-title"><?php _e( 'Auto Responder', 'wp_share_it_now' ); ?> </h3>
                    
                                <?php
                                //Auto Responder Title
                                ?>
                                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                    <div class="ipbe-form-label">
                                        <label for="input-responder-title"><?php _e( 'Title', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">
                                        <?php
                                        $title = stripslashes( $setting->getSetting( 'responder_title', '' ));
                                        ?>
                                        <input type="text" id="input-responder-title" class="ipbe-input ipbe-input-full ipbe-input-preview" name="responder_title" value="<?php echo $title; ?>">
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the title for the auto responder that displaying after user share the page', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                    
                                <?php
                                //Auto Responder Info
                                ?>
                                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                    <div class="ipbe-form-label">
                                        <label for="input-responder-info"><?php _e( 'Info', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">
                                        <?php
                                        $info = stripslashes( $setting->getSetting( 'responder_info', '' ));
                                        ?>
                                        <input type="text" id="input-responder-info" class="ipbe-input ipbe-input-full ipbe-input-preview" name="responder_info" value="<?php echo $info; ?>">
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the info for the auto responder that displaying after user share the page', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                    
                                <?php
                                //Auto Responder Code
                                ?>
                                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                    <div class="ipbe-form-label">
                                        <label for="input-autoresponder-code"><?php _e( 'Auto Responder Code', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">
                                        
                                        <?php
                                        $code = $setting->getSetting( 'autoresponder_code', '' );
                                        ?>
                                        <textarea class="ipbe-input ipbe-input-full ipsitno-input-optin" id="input-autoresponder-code" name="autoresponder_code" rows="7"><?php echo $code; ?></textarea>
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Code of autoresponder form which can be obtained from the online email marketing you use such as MailChimp, AWeber', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                                <?php
                                $hdisplay = ' style="display:none;"';
                                if ( ! empty( $code ) ) {
                                    $hdisplay = '';
                                }
                                $data = IPSitno_Form::parse( $code );
                                ?>
                                <div id="ipsitno-autoresponder-settings" class="ipsitno-optin-settings"<?php echo $hdisplay; ?>>
                            
                                    <?php
                                    //Auto Responder Action URL
                                    ?>
                                    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                                        <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                            <label for="input-autoresponder-action"><?php _e( 'Action URL', 'wp_share_it_now' ); ?></label>
                                        </div>
                                        <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                            
                                            <?php
                                            $action = $setting->getSetting( 'autoresponder_action', $data['action'] );
                                            ?>
                                            <input type="text" id="input-autoresponder-action" class="ipbe-input ipbe-input-full" name="autoresponder_action" value="<?php echo $action; ?>">
                                            
                                            <div class="ipbe-help">
                                                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                                <div class="ipbe-help-content ipbe-hide">
                                                    <?php _e( 'The url of the script that will handle the form autoresponder', 'wp_share_it_now' ); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            
                                    <?php
                                    //Form Email Field
                                    ?>
                                    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                                        <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                            <label for="input-autoresponder-email"><?php _e( 'Form Email Field', 'wp_share_it_now' ); ?></label>
                                        </div>
                                        <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                                            <select name="autoresponder_email" id="input-autoresponder-email">
                                                <option value="0">-- <?php _e( 'Select field', 'wp_share_it_now' ); ?> --</option>
                                                <?php
                                                $value = stripslashes( $setting->getSetting( 'autoresponder_email', '' ) );
                                                if ( ! empty( $data['fields'] )) {
                                                    foreach( $data['fields'] as $field ) {
                                                        $sltd = '';
                                                        if ( $field == $value ) {
                                                            $sltd = ' selected="selected"';
                                                        }
                                                        echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                                    }
                                                }
                                                ?>
                                            </select>
                                            <?php
                                            $label = stripslashes( $setting->getSetting( 'autoresponder_email_label', '' ) );
                                            ?>
                                            <input class="ipbe-input ipbe-input-full mt10" type="text" id="input-autoresponder-email-label" value="<?php echo $label; ?>" name="autoresponder_email_label" placeholder="<?php _e( 'Input email label', 'wp_share_it_now' ); ?>">
                                            
                                            <div class="ipbe-help">
                                                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                                <div class="ipbe-help-content ipbe-hide">
                                                    <?php _e( 'Set the input of the email autoresponder form. Select a name that represents an email input and specify the title of the email input', 'wp_share_it_now' ); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                            
                                    <?php
                                    //Form Name Field
                                    ?>
                                    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                                        <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                            <label for="input-autoresponder-name"><?php _e( 'Form Name Field', 'wp_share_it_now' ); ?></label>
                                        </div>
                                        <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">

                                            <div class="ipbe-btn-onoff mr10">
                                                <?php
                                                $val = $setting->getSetting( 'autoresponder_name_activate', 'true' );
                                                if ( $val == 'false' ) {
                                                    $clon  = '';
                                                    $cloff = ' ipbe-btn-danger active';
                                                } else {
                                                    $clon  = ' ipbe-btn-success active';
                                                    $cloff = '';
                                                }
                                                ?>
                                                <div class="ipbe-btn-group">
                                                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_share_it_now' ); ?></button>
                                                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_share_it_now' ); ?></button>
                                                </div>
                                                <input type="hidden" class="ipbe-onoff-value" name="autoresponder_name_activate" value="<?php echo $val; ?>" />
                                            </div>
                                            
                                            <select name="autoresponder_name" id="input-autoresponder-name">
                                                <option value="0">-- <?php _e( 'Select field', 'wp_share_it_now' ); ?> --</option>
                                                <?php
                                                $value = stripslashes( $setting->getSetting( 'autoresponder_name', '' ) );
                                                if ( ! empty( $data['fields'] )) {
                                                    foreach( $data['fields'] as $field ) {
                                                        $sltd = '';
                                                        if ( $field == $value ) {
                                                            $sltd = ' selected="selected"';
                                                        }
                                                        echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                                    }
                                                }
                                                ?>
                                            </select>
                                            <?php
                                            $label = stripslashes( $setting->getSetting( 'autoresponder_name_label', '' ) );
                                            ?>
                                            <input class="ipbe-input ipbe-input-full mt10" type="text" id="input-autoresponder-name-label" value="<?php echo $label; ?>" name="autoresponder_name_label" placeholder="<?php _e( 'Input name label', 'wp_share_it_now' ); ?>">
                                            
                                            <div class="ipbe-help">
                                                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                                <div class="ipbe-help-content ipbe-hide">
                                                    <?php _e( 'Set the input name of the form autoresponder. You can set whether to display the input name or not. if shown you should choose a name that represents the input name and determine the title of the input name', 'wp_share_it_now' ); ?>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            
                                <?php
                                //Show/Hide Form Label
                                ?>
                                <div class="ipbe-field-row ipbe-field-x">
                                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                        <label for="input-autoresponder-form-label"><?php _e( 'Show/Hide Form Label', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                        
                                        <div class="ipbe-btn-onoff">
                                            <?php
                                            $val = $setting->getSetting( 'autoresponder_form_label', 'true' );
                                            if ( $val == 'false' ) {
                                                $clon  = '';
                                                $cloff = ' ipbe-btn-danger active';
                                            } else {
                                                $clon  = ' ipbe-btn-success active';
                                                $cloff = '';
                                            }
                                            ?>
                                            <div class="ipbe-btn-group">
                                                <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'Show', 'wp_share_it_now' ); ?></button>
                                                <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Hide', 'wp_share_it_now' ); ?></button>
                                            </div>
                                            <input type="hidden" class="ipbe-onoff-value" name="autoresponder_form_label" value="<?php echo $val; ?>" />
                                        </div>
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Specifies whether to display the label on each input form. If set to off, the label will be displayed as a placeholder in the input.', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            
                                <?php
                                //Button Text
                                ?>
                                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                        <label for="input-autoresponder-button-text"><?php _e( 'Submit Button Text', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                        
                                        <?php
                                        $text = $setting->getSetting( 'autoresponder_button_text', '' );
                                        ?>
                                        <input class="ipbe-input ipbe-input-full" type="text" id="input-autoresponder-button-text" value="<?php echo $text; ?>" name="autoresponder_button_text">
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Specifies text or labels of the form submit button', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            
                                <?php
                                //Button Style
                                ?>
                                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                        <label for="input-autoresponder-button-style"><?php _e( 'Submit Button Style', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                        
                                        <select name="autoresponder_button_style" id="input-autoresponder-button-style">
                                            <?php
                                            $current = $setting->getSetting( 'autoresponder_button_style', 'grey' );
                                            $styles  = array(
                                                'grey'    => __( 'Grey', 'wp_share_it_now' ),
                                                'black'   => __( 'Black', 'wp_share_it_now' ),
                                                'blue'    => __( 'Blue', 'wp_share_it_now' ),
                                                'green'   => __( 'Green', 'wp_share_it_now' ),
                                                'orange'  => __( 'Orange', 'wp_share_it_now' ),
                                                'red'     => __( 'Red', 'wp_share_it_now' )
                                            );
                                            foreach( $styles as $key => $label ) {
                                                $sltd = '';
                                                if ( $key == $current ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                            }
                                            ?>
                                        </select>
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the style of the form submit button', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                                <h3 class="ipbe-field-title"><?php _e( 'Download Section', 'wp_share_it_now' ); ?> </h3>
                                
                                <?php
                                //Download Title
                                ?>
                                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                    <div class="ipbe-form-label">
                                        <label for="input-download-title"><?php _e( 'Title', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">
                                        <?php
                                        $title = stripslashes( $setting->getSetting( 'download_title', '' ));
                                        ?>
                                        <input type="text" id="input-download-title" class="ipbe-input ipbe-input-full ipbe-input-preview" name="download_title" value="<?php echo $title; ?>">
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the title for the ebook download section.', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                                <?php
                                //Download Info
                                ?>
                                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                    <div class="ipbe-form-label">
                                        <label for="input-download-info"><?php _e( 'Info', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">
                                        <?php
                                        $info = stripslashes( $setting->getSetting( 'download_info', '' ));
                                        ?>
                                        <input type="text" id="input-download-info" class="ipbe-input ipbe-input-full ipbe-input-preview" name="download_info" value="<?php echo $info; ?>">
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the info for the ebook download section.', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                                <?php
                                //Download URL
                                ?>
                                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                    <div class="ipbe-form-label">
                                        <label for="input-download-url"><?php _e( 'E-book File URL', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">
                                        <?php
                                        $url = $setting->getSetting( 'download_url', '' );
                                        ?>
                                        <input type="text" id="input-download-url" class="ipbe-input ipbe-input-full ipbe-input-preview" name="download_url" value="<?php echo $url; ?>">
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the url of the ebook file', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                
                                <?php
                                //Download Image
                                ?>
                                <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
                                    <div class="ipbe-form-label">
                                        <label for="input-download-image"><?php _e( 'Ebook Preview', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">

                                        <div class="ipbe-upload-image ipbe-clear">
                                            <div class="ipbe-upload-preview">
                                                <?php
                                                $setimg = false;
                                                if ( $setting ) {
                                                    if ( $attach_id = $setting->getSetting( 'download_image' ) ) {
                                                        $setimg = true;
                                                        $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                                                    }
                                                }
                                                if ( $setimg ) {
                                                    echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                                                    echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_share_it_now' ) . '</div>';
                                                    $reset_dsp = '';
                                                } else {
                                                    echo '<div class="image"></div>';
                                                    echo '<div class="none">' . __( 'No image', 'wp_share_it_now' ) . '</div>';
                                                    $reset_dsp = ' style="display:none;"';
                                                }
                                                ?>
                                            </div>
                                            
                                            <div class="ipbe-image-field">
                                                <div class="ipbe-select-image">
                                                    <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_share_it_now' ); ?></p>
                                                    <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" name="select_image" data-choose="<?php esc_attr_e( 'Choose EBook Preview Image' ); ?>"
                                                      data-update="<?php esc_attr_e( 'Choose image' ); ?>">
                                                        <i class="ibe ibe-image"></i>
                                                        <?php _e( 'Select Image', 'wp_share_it_now' ); ?>
                                                    </a>
                                                    <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                                                        <i class="ibe ibe-ban"></i>
                                                        <?php _e( 'Clear Image', 'wp_share_it_now' ); ?>
                                                    </a>
                                                </div>
                                                <input type="hidden" name="upload_type" class="ipbe-upload-type" value="download_image" />
                                                <input type="hidden" name="download_image" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                                            </div>
                                        </div>
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the image for the preview of the Ebook.', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            
                                <?php
                                //Button Text
                                ?>
                                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                        <label for="input-download-button-text"><?php _e( 'Button Text', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                        
                                        <?php
                                        $text = $setting->getSetting( 'download_button_text', '' );
                                        ?>
                                        <input class="ipbe-input ipbe-input-full" type="text" id="input-download-button-text" value="<?php echo $text; ?>" name="download_button_text">
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the text of the download button', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            
                                <?php
                                //Button Style
                                ?>
                                <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
                                    <div class="ipbe-form-label col-lg-3 col-md-4 col-sm-12">
                                        <label for="input-download-button-style"><?php _e( 'Button Style', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field col-lg-9 col-md-8 col-sm-12">
                                        
                                        <select name="download_button_style" id="input-download-button-style">
                                            <?php
                                            $current = $setting->getSetting( 'download_button_style', 'grey' );
                                            $styles  = array(
                                                'grey'    => __( 'Grey', 'wp_share_it_now' ),
                                                'black'   => __( 'Black', 'wp_share_it_now' ),
                                                'blue'    => __( 'Blue', 'wp_share_it_now' ),
                                                'green'   => __( 'Green', 'wp_share_it_now' ),
                                                'orange'  => __( 'Orange', 'wp_share_it_now' ),
                                                'red'     => __( 'Red', 'wp_share_it_now' )
                                            );
                                            foreach( $styles as $key => $label ) {
                                                $sltd = '';
                                                if ( $key == $current ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd .'>'. $label .'</option>';
                                            }
                                            ?>
                                        </select>
                                        
                                        <div class="ipbe-help">
                                            <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                                            <div class="ipbe-help-content ipbe-hide">
                                                <?php _e( 'Set the style of the download button', 'wp_share_it_now' ); ?>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            
                        </div>
                    
                    </div>
                </div>
                
            </div>
        </div>
    </div>
    <div class="ipbe-form-footer">
        <div class="container-fluid container">
            <div class="col-xs-6">
                <button type="submit" id="<?php echo $submitId; ?>" class="ipbe-btn ipbe-btn-primary ipbe-btn-lg ip-form-submit">
                    <i class="ibe ibe-<?php echo $submit_icon; ?>"></i>
                    <?php echo $submit; ?>
                </button>
            </div>
            <div class="col-xs-6 text-right">
                <?php
                if ( $share ) :
                ?>
                <a href="#" class="ipbe-btn ipbe-btn-danger ipbe-btn-lg ipsitno-list-delete ipbe-del-edit" data-id="<?php echo $shareId; ?>">
                    <i class="ibe ibe-trash-o"></i>
                    <?php _e( 'Delete Object', 'wp_share_it_now' ); ?>
                </a>
                <?php
                endif;
                ?>
            </div>
        </div>
    </div>
    
</form>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
            
        <?php
        }
        
        /**
         * Show content admin setting
         *
         * @return void
         */
        public function setting()
        {
        ?>
            <div id="ipsitno-setting" class="wrap ipbe-wrap ipsitno-admin">
                <div class="ipbe-inner">
                    
                    <?php $this->_header( 'ipsitno-setting' ); ?>
                    
                    <div class="ipbe-main">
                        <div class="ipbe-main-info"></div>
                        
                        <div class="ipbe-primary">
                            <div class="ipbe-setting-wrap">
                                <?php
                                $action = admin_url( 'admin-ajax.php' ) . '?doajax=1&ipsitno=1&action=ipsitno_setting';
                                ?>
                                <form id="ipsitno-form-setting" class="ipbe-form" action="<?php echo $action; ?>" method="post">
                                    
                                    <div class="container-fluid container">
                                        <div class="mb40">
                                            <h3 class="font-h4 mb20 line-title-double"><?php _e( 'Home Widget', 'wp_share_it_now' ); ?></h3>
                                            <p><?php _e( 'Select a share object in bellow to show share object in your homepage.', 'wp_share_it_now' ); ?></p>
                                            <div class="fields">
                                                <div class="ipbe-field-row ipbe-field-x">
                                                    <div class="ipbe-form-label col-lg-2 col-md-3 col-sm-4">
                                                        <label for="input-home-share"><?php _e( 'Share Object', 'wp_share_it_now' ); ?></label>
                                                    </div>
                                                    <div class="ipbe-field col-lg-5 col-md-7 col-sm-8">

                                                        <select id="input-home-share" class="ipbe-input" name="home_share">
                                                            <option value="0">- <?php _e( 'Select Share Object', 'wp_share_it_now' );  ?> -</option>
                                                            <?php
                                                            $current = get_option( '__ipsitno_home_share' );
                                                            $shares  = $this->_get_share_object();
                                                            if ( ! empty( $shares )) 
                                                            {
                                                                foreach( $shares as $share ) 
                                                                {
                                                                    $sltd = '';
                                                                    if ( $share->ID == $current ) {
                                                                        $sltd = ' selected="selected"';
                                                                    }
                                                                    echo '<option value="' . $share->ID . '"' . $sltd . '>' . $share->post_title . '</option>';
                                                                }
                                                            }
                                                            ?>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        
                                    </div>
                                    
                                    <div class="ipbe-form-footer">
                                        <div class="container-fluid container">
                                            <div class="col-xs-6">
                                                <button type="submit" id="" class="ipbe-btn ipbe-btn-primary ipbe-btn-lg ip-form-submit">
                                                    <i class="ibe ibe-floppy-o"></i>
                                                    <?php _e( 'Save Settings', 'wp_share_it_now' ); ?>
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </form>
                            
                            </div>
                        </div>
                    </div>
                    
                </div>
                
            </div>
            
        <?php
        }
        
        /**
         * Show content admin coupons
         *
         * @return void
         */
        public function coupons()
        {
        ?>
            <div id="ipsitno-coupons" class="wrap ipbe-wrap ipsitno-admin">
                <div class="ipbe-inner">
                    
                    <?php $this->_header( 'ipsitno-coupons' ); ?>
                    
                    <div class="ipbe-main">
                        <div class="ipbe-main-info"></div>
                        
                        <div class="ipbe-primary">
                            <div class="ipsitno-coupons-wrap">
                                <div class="ipsitno-coupon-add">
                                    <a href="?page=ipsitno-coupons&action=add" class="ipbe-btn ipbe-btn-success"><?php _e( 'Create Coupon', 'wp-share-it-now' ); ?></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
                
            </div>
            
        <?php
        }
        
        /**
         * Show content admin users list
         *
         * @return void
         */
        public function users()
        {
        ?>
            <div id="ipsitno-users" class="wrap ipbe-wrap ipsitno-admin">
                <div class="ipbe-inner">
                    
                    <?php $this->_header( 'ipsitno-users' ); ?>
                    
                    <div class="ipbe-main">
                        <div class="ipbe-main-info"></div>
                        
                        <div class="ipbe-primary">
                            <div class="ipbe-users-wrap">
                                <div class="ipsitno-user-table">
                                    <table>
                                        <thead>
                                            <tr>
                                                <th class="ipsitno-th-no"><?php _e( 'No', 'wp_share_it_now' ); ?></th>
                                                <th class="ipsitno-th-date"><?php _e( 'Date', 'wp_share_it_now' ); ?></th>
                                                <th class="ipsitno-th-name"><?php _e( 'Name', 'wp_share_it_now' ); ?></th>
                                                <th class="ipsitno-th-email"><?php _e( 'Email', 'wp_share_it_now' ); ?></th>
                                                <th class="ipsitno-th-action"></th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <?php
                                            $model = new IPSitno_Model();
                                            if ( $users = $model->get_members() ) :
                                                $no = 1;
                                                foreach( $users as $user ) :
                                                ?>
                                            <tr>
                                                <td><?php echo $no; ?></td>
                                                <td><?php echo mysql2date( 'd M Y, h:i', $user->mbr_join_date ); ?></td>
                                                <td><?php echo $user->mbr_name; ?></td>
                                                <td><?php echo $user->mbr_email; ?></td>
                                                <td class="ipsitno-tb-action">
                                                    <a class="ipsitno-link-email" href="mailto:<?php echo $user->mbr_email; ?>">
                                                        <i class="faip fa-envelope"></i>
                                                        <?php _e( 'Send message', 'wp_share_it_now' ); ?>
                                                    </a>
                                                </td>
                                            </tr>
                                            <?php
                                                    $no++;
                                                endforeach;
                                            endif;
                                            ?>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
                
            </div>
            
        <?php
        }
        
        /**
         * Show content for meta box
         *
         * @return void
         */
        public function meta_box( $post )
        {
        ?>
            <div id="ipsmpop_metaBox">
                <p><strong><?php _e( 'Select Share Object', 'wp_share_it_now' ); ?></strong></p>
                <label for="ipsitno-share" class="screen-reader-text"><?php _e( 'Select Smart Pop', 'wp_share_it_now' ); ?></label>
                <select name="ipsitno_id" id="ipsitno-share">
                    <option value="0"><?php _e( 'None', 'wp_share_it_now' ); ?></option>
                    <?php
                    $current = get_post_meta( $post->ID, '__ipsitno_page_share', true );
                    $shares  = $this->_get_share_object();
                    if ( ! empty( $shares )) 
                    {
                        foreach( $shares as $share ) 
                        {
                            $sltd = '';
                            if ( $share->ID == $current ) {
                                $sltd = ' selected="selected"';
                            }
                            echo '<option value="' . $share->ID . '"' . $sltd . '>' . $share->post_title . '</option>';
                        }
                    }
                    ?>
                </select>
                <?php wp_nonce_field( plugin_basename( __FILE__ ), 'ipsitno_mbox_nonce' ); ?>
            </div>
        <?php
        }
        
        /**
         * Admin header template
         *
         * @param string $page
         * @return void
         */
        protected function _header( $page, $title = '', $info = '', $icon = '' )
        {
            $struct = array(
                'ipsitno' => array(
                    'title'     => __( 'Dashboard', 'wp_share_it_now' ),
                    'info'      => __( 'See all share object and manage it', 'wp_share_it_now' ),
                    'icon'      => 'dashboard'
                ),
                'ipsitno-add' => array(
                    'title'     => __( 'Add Share Object', 'wp_share_it_now' ),
                    'info'      => __( 'Add new share object for your page', 'wp_share_it_now' ),
                    'icon'      => 'plus-circle'
                ),
                'ipsitno-coupons' => array(
                    'title'     => __( 'Coupons', 'wp_share_it_now' ),
                    'info'      => __( 'Coupon creator', 'wp_share_it_now' ),
                    'icon'      => 'tags'
                ),
                'ipsitno-users' => array(
                    'title'     => __( 'Users List', 'wp_share_it_now' ),
                    'info'      => __( 'See all users who have earned ebook', 'wp_share_it_now' ),
                    'icon'      => 'user'
                ),
                'ipsitno-setting' => array(
                    'title'     => __( 'Settings', 'wp_share_it_now' ),
                    'info'      => __( 'Set the shared object on your website', 'wp_share_it_now' ),
                    'icon'      => 'cog'
                )
            );
        ?>
            <div class="ipbe-top">
                <div class="ipbe-header">
                    <div class="ipbe-page-title">
                        <h1>
                            <i class="ibe ibe-paper-plane"></i>
                            <span>
                                <strong><span>WP</span> Share It Now</strong>
                                <em>WordPress plugin to fastest your campaigne</em>
                            </span>
                        </h1>
                    </div>
                </div>
                <div class="ipbe-nav">
                    <ul>
                    <?php
                    if ( array_key_exists( $page, $struct ))
                    {
                        if ( empty( $title )) {
                            $title = $struct[$page]['title'];
                        }
                        if ( empty( $info )) {
                            $info  = $struct[$page]['info'];
                        }
                        if ( empty( $icon )) {
                            $icon  = $struct[$page]['icon'];
                        }
                    }
                    foreach( $struct as $name => $data ) 
                    {
                        $active = '';
                        if ( $page == $name ) {
                            $active = ' class="active"';
                        }
                        echo '<li' . $active . '>' .
                                '<a href="admin.php?page=' . $name . '">' .
                                    '<i class="ibe ibe-' . $data['icon'] . '"></i>' .
                                    $data['title'] .
                                '</a>' .
                            '</li>';
                    }
                    ?>
                    </ul>
                </div>
                <div class="ipbe-page-info">
                    <i class="ibe ibe-<?php echo $icon; ?>"></i>
                    <div class="ipbe-info">
                        <h2><?php echo $title; ?></h2>
                        <h3><?php echo $info; ?></h3>
                    </div>
                </div>
            </div>
        <?php
        }
        
        /**
         * Get share object
         *
         * @return array
         */
        protected function _get_share_object()
        {
            $args = array(
                'orderby'        => 'post_title',
                'order'          => 'DESC', 
                'post_type'      => 'ipsitno-item',
                'post_status'    => array('publish'),
                'posts_per_page' => -1,
                'paged'          => 1
            );
            $query  = new WP_Query;
            $shares = $query->query( $args );
            return $shares;
        }
    }
}