<?php
if ( ! class_exists( 'IPSitno_Db' )) {

    /**
     * Class for manage plugin database
     */
    class IPSitno_Db
    {
        /**
         * Take db version
         *
         * @var string
         */
        public $version = '1.0';
        
        /**
         * Class construct
         *
         * @return void
         */
        public function __construct()
        {
            global $ipsitno_db_version;
            $ipsitno_db_version = $this->version;
        }
        
        /**
         * Database query
         *
         * @return string
         */
        public function query_member()
        {
            global $wpdb;
            
            $table_name = $wpdb->prefix . 'ipsitno_member';
            $sql = "CREATE TABLE $table_name (
                        mbr_id           int(11)             NOT NULL AUTO_INCREMENT,
                        page_id          int(11)             NOT NULL,
                        mbr_ip           varchar(64)         NOT NULL,
                        mbr_key          varchar(244)        NOT NULL,
                        mbr_join_date    datetime  DEFAULT '0000-00-00 00:00:00' NOT NULL,
                        mbr_email        varchar(244)        NOT NULL,
                        mbr_name         varchar(244)        NOT NULL,
                        mbr_referral     int(11)             NOT NULL,
                    PRIMARY KEY member_id (mbr_id),
                    KEY page_id (page_id)
            );";
            
            return $sql;
        }
        
        /**
         * Database query
         *
         * @return string
         */
        public function query()
        {
            $sql  = '';
            $sql .= $this->query_member();
            return $sql;
        }
        
        /**
         * install
         *
         * @return void
         */
        public function install()
        {
            global $wpdb, $ipsitno_db_version;
            $installed_ver = get_option( "ipsitno_db_version" );
            
            if( ! $installed_ver || ( $installed_ver != $ipsitno_db_version ) ) {

                $sql = $this->query();

                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                dbDelta( $sql );

                update_option( "ipsitno_db_version", $ipsitno_db_version );
            }
        }
        
        /**
         * update
         *
         * @return void
         */
        public function update()
        {
            global $ipsitno_db_version;
            if ( get_site_option( 'ipsitno_db_version' ) != $ipsitno_db_version ) {
                $this->install();
            }
        }
    }

}
?>