<?php
if ( ! class_exists( 'IPSitno_List_Coupon' )) {

    /**
     * Class for create list object
     */
    class IPSitno_List_Coupon extends IPSitno_List
    {
        /**
         * Get data
         *
         * @return void
         */
        protected function _get_data()
        {
            $page     = $this->_page;
            $per_page = $this->_per_page;
            $args = array(
                'orderby'        => 'post_date',
                'order'          => 'DESC', 
                'post_type'      => 'ipsitno-coupon-item',
                'post_status'    => array('publish','draft'),
                'posts_per_page' => $per_page,
                'paged'          => $page
            );
            $query = new WP_Query;
            $this->_result = $query->query( $args );
            $this->_query  = $query;
            $this->_total  = $query->found_posts;
            $this->_total_page = $this->_get_total_page();
            return $this->_result;
        }
        
        /**
         * Get item action
         *
         * @param  object $item
         * @param  int    $index
         * @return string
         */
        protected function _get_item_action( $item, $index )
        {
            $result  = '<div class="col-sm-6">' .
                            '<div class="ipbe-item-action ipbe-clear text-right">' .
                                '<div class="ipbe-item-nav ipbe-fade-menu">' .
                                    '<div class="ipbe-nav-label">' .
                                        '<a class="ipbe-menu-link" href="#"><i class="ibe ibe-bars"></i></a>' .
                                    '</div>' .
                                    '<ul class="ipbe-submenu">' .
                                        '<li>' .
                                            '<a href="' . $this->_get_link_edit( $item ) . '" class="ipbe-btn ipbe-btn-success">' .
                                                '<i class="ibe ibe-pencil"></i>' .
                                                 __( 'Edit Coupon' ) . 
                                            '</a>' .
                                        '</li>' .
                                        '<li>' .
                                            '<a href="#" class="ipbe-btn ipbe-btn-danger ipsitno-coupon-delete" data-id="' . $item->ID . '">' .
                                                '<i class="ibe ibe-trash"></i>' .
                                                __( 'Delete Coupon' ) . 
                                            '</a>' .
                                        '</li>' .
                                    '</ul>' .
                                '</div>' .
                            '</div>' .
                       '</div>';
            return $result;
        }
        
        /**
         * Get link edit
         *
         * @param  object $item
         * @return string
         */
        protected function _get_link_edit( $item )
        {
            $link = admin_url() . 'admin.php?page=ipsitno-coupons&action=edit&id=' . $item->ID;
            return $link;
        }
    }

}
?>