<?php
if ( ! class_exists( 'IPSitno_Model' )) {

    /**
     * Class for manage post setting
     */
    class IPSitno_Model
    {
        
        /**
         * Save setting share page
         *
         * @param  int $shareId
         * @return void
         */
        public function save_setting( $shareId )
        {
            $shareId = absint( $shareId );
            $data    = $this->_get_setting_data();
            $setting = new IPSitno_Setting( $shareId, '__ipsitno-setting' );
            $result  = $setting->setSettings( $data );
            return $result;
        }
        
        /**
         * Get setting data
         *
         * @return array
         */
        protected function _get_setting_data()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );
            
            /*
             * General
             */
            if ( isset( $data['status'] )) {
                $setting['status'] = apply_filters( 'pre_term_name', $data['status'] );
            }
            if ( isset( $data['lifetime'] )) {
                $setting['lifetime'] = preg_replace( '@[^a-zA-Z0-9\/\-\:]@', '', $data['lifetime'] );
            }
            if ( ! empty( $data['position'] )) {
                $setting['position'] = apply_filters( 'single_post_title', $data['position'] );
            }
            if ( isset( $data['first_load'] )) {
                $setting['first_load'] = apply_filters( 'pre_term_name', $data['first_load'] );
            }
            if ( isset( $data['scroll_show'] )) {
                $setting['scroll_show'] = absint( $data['scroll_show'] );
            }
            if ( isset( $data['cookie'] )) {
                $setting['cookie'] = apply_filters( 'pre_term_name', $data['cookie'] );
            }
            
            /*
             * Design
             */
            if ( isset( $data['bg_color'] )) {
                $setting['bg_color'] = apply_filters( 'single_post_title', $data['bg_color'] );
            }
            if ( isset( $data['border_width'] )) {
                $setting['border_width'] = absint( $data['border_width'] );
            }
            if ( isset( $data['border_color'] )) {
                $setting['border_color'] = apply_filters( 'single_post_title', $data['border_color'] );
            }
            if ( isset( $data['title_color'] )) {
                $setting['title_color'] = apply_filters( 'single_post_title', $data['title_color'] );
            }
            if ( isset( $data['text_color'] )) {
                $setting['text_color'] = apply_filters( 'single_post_title', $data['text_color'] );
            }
            if ( isset( $data['tab_bg_color'] )) {
                $setting['tab_bg_color'] = apply_filters( 'single_post_title', $data['tab_bg_color'] );
            }
            if ( isset( $data['tab_color'] )) {
                $setting['tab_color'] = apply_filters( 'single_post_title', $data['tab_color'] );
            }
            if ( isset( $data['button_tab_icon'] )) {
                $setting['button_tab_icon'] = apply_filters( 'single_post_title', $data['button_tab_icon'] );
            }
            if ( isset( $data['footer_bg_color'] )) {
                $setting['footer_bg_color'] = apply_filters( 'single_post_title', $data['footer_bg_color'] );
            }
            if ( isset( $data['footer_color'] )) {
                $setting['footer_color'] = apply_filters( 'single_post_title', $data['footer_color'] );
            }
            if ( isset( $data['font_size'] )) {
                $setting['font_size'] = apply_filters( 'pre_term_name', $data['font_size'] );
            }
            if ( isset( $data['font_family'] )) {
                $setting['font_family'] = apply_filters( 'pre_term_name', $data['font_family'] );
            }
            if ( isset( $data['background_overlay'] )) {
                $setting['background_overlay'] = apply_filters( 'pre_term_name', $data['background_overlay'] );
            }
            if ( isset( $data['animation_speed'] )) {
                $setting['animation_speed'] = apply_filters( 'pre_term_name', $data['animation_speed'] );
            }
            if ( isset( $data['audio'] )) {
                $setting['audio'] = absint( $data['audio'] );
            }
            
            /*
             * Pre Share Content
             */
            if ( isset( $data['pre_title'] )) {
                $setting['pre_title'] = apply_filters( 'single_post_title', $data['pre_title'] );
            }
            if ( isset( $data['pre_info'] )) {
                $setting['pre_info'] = apply_filters( 'single_post_title', $data['pre_info'] );
            }
            if ( isset( $data['pre_image'] )) {
                $setting['pre_image'] = absint( $data['pre_image'] );
            }
            if ( isset( $data['button_share_info'] )) {
                $setting['button_share_info'] = apply_filters( 'single_post_title', $data['button_share_info'] );
            }
            if ( isset( $data['button_tab_label'] )) {
                $setting['button_tab_label'] = apply_filters( 'single_post_title', $data['button_tab_label'] );
            }
            if ( isset( $data['footer_info'] )) {
                $setting['footer_info'] = apply_filters( 'single_post_title', $data['footer_info'] );
            }
            
            /*
             * Post Share Content
             */
            if ( isset( $data['post_type'] )) {
                $setting['post_type'] = apply_filters( 'pre_term_name', $data['post_type'] );
            }
            if ( isset( $data['success_text'] )) {
                $setting['success_text'] = apply_filters( 'single_post_title', $data['success_text'] );
            }
            if ( isset( $data['success_info'] )) {
                $setting['success_info'] = apply_filters( 'single_post_title', $data['success_info'] );
            }
            if ( isset( $data['success_url'] )) {
                $setting['success_url'] = apply_filters( 'pre_link_url', $data['success_url'] );
            }
            if ( isset( $data['post_image'] )) {
                $setting['post_image'] = absint( $data['post_image'] );
            }
            
            if ( isset( $data['responder_title'] )) {
                $setting['responder_title'] = apply_filters( 'single_post_title', $data['responder_title'] );
            }
            if ( isset( $data['responder_info'] )) {
                $setting['responder_info'] = apply_filters( 'single_post_title', $data['responder_info'] );
            }
            if ( isset( $data['autoresponder_code'] )) {
                $setting['autoresponder_code'] = $data['autoresponder_code'];
            }
            if ( isset( $data['autoresponder_action'] )) {
                $setting['autoresponder_action'] = apply_filters( 'pre_link_url', $data['autoresponder_action'] );
            }
            if ( isset( $data['autoresponder_email'] )) {
                $setting['autoresponder_email'] = apply_filters( 'single_post_title', $data['autoresponder_email'] );
            }
            if ( isset( $data['autoresponder_email_label'] )) {
                $setting['autoresponder_email_label'] = apply_filters( 'single_post_title', $data['autoresponder_email_label'] );
            }
            if ( isset( $data['autoresponder_name'] )) {
                $setting['autoresponder_name'] = apply_filters( 'single_post_title', $data['autoresponder_name'] );
            }
            if ( isset( $data['autoresponder_name_label'] )) {
                $setting['autoresponder_name_label'] = apply_filters( 'single_post_title', $data['autoresponder_name_label'] );
            }
            if ( isset( $data['autoresponder_name_activate'] )) {
                $setting['autoresponder_name_activate'] = apply_filters( 'pre_term_name', $data['autoresponder_name_activate'] );
            }
            if ( isset( $data['autoresponder_form_label'] )) {
                $setting['autoresponder_form_label'] = apply_filters( 'pre_term_name', $data['autoresponder_form_label'] );
            }
            if ( isset( $data['autoresponder_button_text'] )) {
                $setting['autoresponder_button_text'] = apply_filters( 'single_post_title', $data['autoresponder_button_text'] );
            }
            if ( isset( $data['autoresponder_button_style'] )) {
                $setting['autoresponder_button_style'] = apply_filters( 'pre_term_name', $data['autoresponder_button_style'] );
            }
            
            if ( isset( $data['download_title'] )) {
                $setting['download_title'] = apply_filters( 'single_post_title', $data['download_title'] );
            }
            if ( isset( $data['download_info'] )) {
                $setting['download_info'] = apply_filters( 'single_post_title', $data['download_info'] );
            }
            if ( isset( $data['download_url'] )) {
                $setting['download_url'] = apply_filters( 'pre_link_url', $data['download_url'] );
            }
            if ( isset( $data['download_image'] )) {
                $setting['download_image'] = absint( $data['download_image'] );
            }
            if ( isset( $data['download_button_text'] )) {
                $setting['download_button_text'] = apply_filters( 'single_post_title', $data['download_button_text'] );
            }
            if ( isset( $data['download_button_style'] )) {
                $setting['download_button_style'] = apply_filters( 'pre_term_name', $data['download_button_style'] );
            }
            
            /*
             * Share
             */
            if ( isset( $data['share_facebook'] )) {
                $setting['share_facebook'] = apply_filters( 'pre_term_name', $data['share_facebook'] );
            }
            if ( isset( $data['share_twitter'] )) {
                $setting['share_twitter'] = apply_filters( 'pre_term_name', $data['share_twitter'] );
            }
            if ( isset( $data['share_google-plus'] )) {
                $setting['share_google-plus'] = apply_filters( 'pre_term_name', $data['share_google-plus'] );
            }
            if ( isset( $data['share_button_style'] )) {
                $setting['share_button_style'] = apply_filters( 'single_post_title', $data['share_button_style'] );
            }
            if ( isset( $data['page_url'] )) {
                $setting['page_url'] = apply_filters( 'pre_link_url', $data['page_url'] );
            }
            if ( isset( $data['page_title'] )) {
                $setting['page_title'] = apply_filters( 'single_post_title', $data['page_title'] );
            }
            return $setting;
        }
        
        /**
         * Get members
         *
         * @return array
         */
        public function get_members()
        {
            global $wpdb;
            $table1 = $wpdb->prefix . 'ipsitno_member';
            $table2 = $wpdb->prefix . 'posts';
            $sql   = "
                SELECT * FROM $table1
                JOIN $table2 ON $table1.page_id = $table2.ID
                ORDER BY mbr_referral DESC
            ";
            $results = $wpdb->get_results( $sql );
            return $results;
        }
        
        /**
         * Get member by email
         *
         * @param  int $id
         * @return array
         */
        public function get_member( $id )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'ipsitno_member';
            $id     = absint( $id );
            $email  = sanitize_email( $email );
            $sql    = "
                SELECT * FROM $table WHERE mbr_id = '$id'
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }
        
        /**
         * Get member by email
         *
         * @param  int $id
         * @param  string $email
         * @return array
         */
        public function get_member_byemail( $id, $email )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'ipsitno_member';
            $id     = absint( $id );
            $email  = sanitize_email( $email );
            $sql    = "
                SELECT * FROM $table WHERE page_id = '$id' AND mbr_email = '$email'
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }
        
        /**
         * Get member by ip address
         *
         * @param  int    $id
         * @param  string $ip
         * @return array
         */
        public function get_member_byip( $id, $ip )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'ipsitno_member';
            $id     = absint( $id );
            $sql    = "
                SELECT * FROM $table WHERE page_id = '$id' AND mbr_ip = '$ip'
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }
        
        /**
         * Get member by key
         *
         * @param  int    $id
         * @param  string $key
         * @return array
         */
        public function get_member_bykey( $id, $key )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'ipsitno_member';
            $id     = absint( $id );
            $sql    = "
                SELECT * FROM $table WHERE page_id = '$id' AND mbr_key = '$key'
            ";
            $results = $wpdb->get_row( $sql );
            return $results;
        }
        
        /**
         * Insert member
         *
         * @param  array $data
         * @param  array $format
         * @return void
         */
        public function insert_member( $data, $format = array() )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'ipsitno_member';
            $data   = (array)$data;
            $result = $wpdb->insert( $table, $data, $format );
            if ( $result ) {
                return $wpdb->insert_id;
            }
            return false;
        }
        
        /**
         * Update member
         *
         * @param  int   $id
         * @param  array $data
         * @return void
         */
        public function update_member( $id, $data )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'ipsitno_member';
            $data   = (array)$data;
            $where  = array(
                'mbr_id' => absint( $id )
            );
            $result = $wpdb->update( $table, $data, $where );
            return $result;
        }
        
        /**
         * Delete member
         *
         * @param  int   $id
         * @return void
         */
        public function delete_member( $id )
        {
            global $wpdb;
            $table  = $wpdb->prefix . 'ipsitno_member';
            $where  = array(
                'mbr_id' => absint( $id )
            );
            
            $result = $wpdb->delete( $table, $where );
            return $result;
        }
        
        /**
         * Save setting coupon
         *
         * @param  int $couponId
         * @return void
         */
        public function save_coupon_setting( $couponId )
        {
            $couponId = absint( $couponId );
            $data    = $this->_get_coupon_setting_data();
            $setting = new IPSitno_Setting( $couponId, '__ipsitno-coupon-setting' );
            $result  = $setting->setSettings( $data );
            return $result;
        }
        
        /**
         * Get setting data
         *
         * @return array
         */
        protected function _get_coupon_setting_data()
        {
            $setting = array();
            $data    = array_merge( $_POST, $_GET );
            
            /*
             * General
             */
            if ( isset( $data['coupon_image'] )) {
                $setting['coupon_image'] = absint( $data['coupon_image'] );
            }
            return $setting;
        }
    }

}
?>