<?php
if ( ! class_exists( 'IPSitno_Shortcode' )) {

    /**
     * Class for handling administrator page
     */
    class IPSitno_Shortcode
    {
        /**
         * Show content editor
         *
         * @return void
         */
        public function editor()
        {
        ?>
            <div id="ipsitno_scWrap" class="ipbe-ui-modal" style="display: none;">
                <div class="ipbe-ui-modal-main">
                    <div id="ipsitno_scEditor" class="ipbe-ui-modal-inner">
                        <div class="ipbe-ui-modal-title">
                            <h3><?php _e( 'Share Coupon Shortcode', 'wp_share_it_now' ); ?></h3>
                            <div class="ipbe-ui-close">
                                <a class="ipsitno-ui-close-link" href="#">x</a>
                            </div>
                        </div>
                        <div class="ipbe-ui-modal-content">
                            <form id="ipsitno_scForm" action="" method="post">
                            
                                <div class="ipbe-field-row ipbe-clear">
                                    <div class="ipbe-label">
                                        <label for="ipsitno-input-sc-coupon"><?php _e( 'Select Coupon', 'wp_share_it_now' ); ?></label>
                                    </div>
                                    <div class="ipbe-field">
                                        <div class="ipbe-input-wrap">
                                            <?php
                                            $args = array(
                                                'orderby'        => 'post_date',
                                                'order'          => 'DESC', 
                                                'posts_per_page' => -1,
                                                'post_type'      => 'ipsitno-coupon-item',
                                                'post_status'    => array('publish'),
                                            );
                                            $query   = new WP_Query;
                                            $coupons = $query->query( $args );
                                            if ( ! empty( $coupons )) :
                                            ?>
                                            <select name="ipsitno_coupon" id="ipsitno-input-sc-coupon">
                                                <?php
                                                foreach( $coupons as $coupon ) {
                                                    echo '<option value="' . $coupon->ID . '">' . $coupon->post_title . '</option>';
                                                }
                                                ?>
                                            </select>
                                            <a href="admin.php?page=ipsitno-coupons&action=add"><?php _e( 'Add New', 'wp_share_it_now' ); ?></a>
                                            <?php
                                            else:
                                            ?>
                                            <p class="ipbe-empty">
                                                <em><?php _e( 'Coupons are not available', 'ipsitno' ); ?>. 
                                                    <a href="admin.php?page=ipsitno-coupons&action=add"><?php _e( 'Add New', 'wp_share_it_now' ); ?></a>
                                                </em></p>
                                            <?php
                                            endif;
                                            ?>
                                        </div>
                                    </div>
                                </div>
                                <div class="ipsitno-sc-footer">
                                    <div class="ipbe-button">
                                        <input type="submit" class="ipbe-btn ipbe-btn-primary" name="ipsitno_scAdd" id="ipsitno-sc-coupon-add" value="<?php _e( 'Add Coupon', 'wp_share_it_now' ); ?>" />
                                    </div>
                                </div>
                    
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        <?php
        }
        
        /**
         * Create shortcode content
         *
         * @param  array  $atts
         * @param  string $content
         * @return string
         */
        public function factory( $atts, $content = '' )
        {
            $result = '';
            if ( ! empty( $atts['coupon'] )) {
                $couponId = absint( $atts['coupon'] );
                if ( $coupon = get_post( $couponId )) {
                    $result = '<div class="ipsitno-shortcode">' . 
                                    $this->get_coupon_item( $coupon, $atts ) .
                               '</div>';
                }
            }
            return $result;
        }
        
        /**
         * Get coupon item
         *
         * @param  object $coupon
         * @param  array  $atts
         * @return string
         */
        public function get_coupon_item( $coupon, $atts )
        {
            $setting = new IPSitno_Setting( $coupon->ID, '__ipsitno-coupon-setting' );
            
            $result  = '<div class="ipsitno-coupon-item">' .
                            '<div class="ipsitno-coupon-inner">' .
                                '<h3 class="ipsitno-coupon-title">' .
                                    $coupon->post_title .
                                '</h3>' .
                                '<div class="ipsitno-coupon-desc">' .
                                    $coupon->post_content .
                                '</div>';
            $src = false;
            if ( $imgid = $setting->getSetting( 'coupon_image' ) ) 
            {
                $data = wp_get_attachment_image_src( $imgid, 'full' );
                if ( ! empty( $data[0] )) {
                    $src = $data[0];
                }
            }
            if ( $src ) 
            {
                $result .= '<div class="ipsitno-coupon-image">' .
                                '<img src="' . $src . '" alt="" />' .
                           '</div>';
            }
            
            $result .=      '</div>' .
                        '</div>';
            return $result;
        }
    }
}