/**
 * Menu control
 **/
(function($){

    $(document).ready(function() 
    {
        //Button On Off
        if ( $( '.ipbe-btn-onoff' ).length > 0 ) {
            $( '.ipbe-btn-onoff' ).ipbe_btn_onoff({
                func_select: function( button ){
                    ipsitno_input_preview( button );
                }
            });
        }
        
        //Select/upload image
        if ( $( '.ipbe-upload-image' ).length > 0 ) {
            $( '.ipbe-upload-image' ).ipbe_select_image({
                func_select: function( item ){
                    ipsitno_input_preview( item );
                },
                func_reset: function( button ){
                    ipsitno_input_preview( button );
                }
            });
        }
        
        //Toggle
        if ( $( '.ipbe-toggle' ).length > 0 ) {
            $( '.ipbe-toggle' ).ipbe_toggle();
        }
        
        //Fancy Options
        if ( $( '.ipbe-fancy-option' ).length > 0 ) {
            $( '.ipbe-fancy-option' ).ipbe_fancy_option({
                func_select: function( option ){
                    ipsitno_input_preview( option );
                }
            });
        }
        
        //Fade Menu
        if ( $( '.ipbe-fade-menu' ).length > 0 ) {
            $( '.ipbe-fade-menu' ).ipbe_fade_menu();
        }
        
        //Social option
        if ( $( '.ipbe-social-option' ).length > 0 ) 
        {
            $( '.ipbe-social-active a' ).ipbe_button_active({
                func_select: function( button ){
                    ipsitno_input_preview( button );
                }
            });
        }
        
        //Icon select
        if ( $( '.ipbe-faicon-options' ).length > 0 ) 
        {
            $( '.ipbe-faicon-options a' ).ipbe_select_active({
                item_selector:      '.ipbe-faicon-options a',
                input_selector:     '.ipbe-icon-selected',
                func_select: function( input ){
                    ipsitno_input_preview( input );
                }
            });
        }
        
        /*
         * Update object handler
         */
        var form_add = new ip_form( '#ipsitno-form-add' );
        form_add.is_add = true;
        //Additional data
        form_add.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            return data;
        };
        form_add.init();
        
        var form_edit = new ip_form( '#ipsitno-form-update' );
        form_edit.is_add = false;
        form_edit.init();
        
        var form_setting = new ip_form( '#ipsitno-form-setting' );
        form_setting.init();
        
        /*
         * Delete object
         */
        var ipsitno_delete_url = ajaxurl+'?doajax=1&ipsitno=1&action=ipsitno_delete';
        $( '.ipsitno-list-delete' ).ipbe_list_delete( ipsitno_delete_url );
        
        /*
         * Date range picker
         */
        if ( $( '.ipsitno-date-range' ).length > 0 ) 
        {
            $('.ipsitno-date-range').daterangepicker(
            {
              ranges: {
                 'Today': [moment(), moment()],
                 'Tommorow': [moment().add('days', 1), moment().add('days', 1)],
                 'Next 7 Days': [moment(), moment().add('days', 6)],
                 'Next 30 Days': [moment(), moment().add('days', 29)],
                 'This Month': [moment().startOf('month'), moment().endOf('month')],
                 'Next Month': [moment().add('month', 1).startOf('month'), moment().add('month', 1).endOf('month')]
              },
              startDate: moment().add('days', 29),
              endDate: moment()
            },
            function(start, end) {});
        }
        
        //Color picker
        if ( $('.ipsitno-color-picker').length > 0 ) {
            $('.ipsitno-color-picker').each( function() {
                var picker = $(this);
                picker.wpColorPicker({
                    change: function(event, ui){
                        picker.val( ui.color.toString() );
                        ipsitno_input_preview( picker );
                    }
                });
            });
        }
        
        //Preview input
        $( '.ipbe-input-preview' ).each( function()
        {
            $(this).change( function(){
                ipsitno_input_preview( $(this) );
            });
        });
        
        function ipsitno_input_preview( input )
        {
            var root    = input.parents( '.ipbe-form' );
            var preview = $( '.ipbe-panel-preview', root );
            var form    = new ip_form( root );
            var data    = form.get_data();
            
            $.ajax({
                url: ajaxurl+'?doajax=1&ipsitno=1&action=ipsitno_get_preview',
                type: "POST",
                dataType: "html",
                data: data,
                success: function (result) 
                {
                    if ( result.length > 10 ) {
                        preview.html( result );
                    }
                }
            });
        }
        
        //Post content type
        $( '#input-post-type' ).change( function()
        {
            var type = $(this).val();
            if ( type == 'ebook' ) {
                $( '.ipsitno-post-ebook' ).show();
                $( '.ipsitno-post-coupon' ).hide();
            } else {
                $( '.ipsitno-post-coupon' ).show();
                $( '.ipsitno-post-ebook' ).hide();
            }
        });
        
        // Autoresponder
        $( '#input-autoresponder-code' ).each( function()
        {
            var input = $(this);
            input.focusout( function()
            {
                var html   = encodeURIComponent( input.val() );
                var parent = $( '#ipsitno-autoresponder-settings' );
                var action = ajaxurl+'?doajax=1&ipsitno=1&action=ipsitno_getoptin';
                $.ajax({
                    url: action,
                    type: "POST",
                    data: 'html='+html,
                    dataType: "json",
                    success: function ( result ) {
                        if ( result.status == 1 ) 
                        {
                            var fields = [];
                            if ( result.data.fields ) {
                                fields = result.data.fields;
                            }
                            $( '#input-autoresponder-action', parent ).val( result.data.action );
                            $( 'select', parent ).html( '' );
                            for ( i=0; i<fields.length; i++ )
                            {
                                var option = '<option value="'+fields[i]+'">'+fields[i]+'</option>';
                                $( 'select', parent ).append( option );
                            }
                            parent.show();
                        }
                    },
                });
            });
        });
        
        /*
         *
         * Coupon
         */
        var coupon_add = new ip_form( '#ipsitno-form-coupon-add' );
        coupon_add.is_add = true;
        //Additional data
        coupon_add.additional_data = function( data )
        {
            if ( this.is_add ) {
                data += '&isadd=1';
            }
            return data;
        };
        coupon_add.init();
        
        var coupon_edit = new ip_form( '#ipsitno-form-coupon-update' );
        coupon_edit.is_add = false;
        coupon_edit.init();
        
        /*
         * Delete coupon
         */
        var ipsitno_coupon_delete_url = ajaxurl+'?doajax=1&ipsitno=1&action=ipsitno_coupon_delete';
        $( '.ipsitno-coupon-delete' ).ipbe_list_delete( ipsitno_coupon_delete_url );
        
    });
    
})(jQuery);